<template>
  <section 
    v-if="show"
    class="container">
    <div>
      <select class="dropdown"
        v-model="payload.position"
        @change="update">
        <option 
          v-for="h in positions"
          :value="h.id"
          :key="h.id">
          {{ translate(h.position) }}
        </option>
      </select>
    </div>

    <div>
      <select class="dropdown"
        v-model="payload.place"
        @change="update">
        <option 
          v-for="p in places"
          :key="p.id"
          :value="p.id">
          {{ translate(p.place) }}
        </option>
      </select>
    </div>
  </section>
</template>

<script>
export default {
  data() {
    return {
      payload: {
        id: this.id,
        position: null,
        place: null
      }
    };
  },
  props: {
    positions: {
      required: true,
      type: Array
    },
    places: {
      required: true,
      type: Array
    },
    id: {
      required: true,
      type: Number
    }
  },
  methods: {
    translate(str) {
      const translation = {
        top: 'Superior',
        bottom: 'Inferior',
        inside: 'Dentro',
        outside: 'Fora'
      }
      if (str !== undefined)
        return translation[str];
    },
    update() {
      console.log('oi');
      this.$store.commit('addReservePreference',this.payload);
    }
  },
  computed: {
    show() {
      return this.$store.getters.reserveData.enabledPreferences.includes(this.id);
    }
  }
}
</script>

<style scoped>
.container {
  display: flex;
  flex-direction: column;
  justify-content: space-between;

  height: 12vh;
}

.dropdown {
  width: 100%;
  min-height: 2rem;
  border-radius: 10px;
}
</style>
